> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kadoa.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a trigger



## OpenAPI

````yaml delete /v4/workflows/{workflowId}/triggers/{triggerId}
openapi: 3.0.3
info:
  title: Kadoa API
  version: 3.0.0
  contact:
    name: Support
    email: support@kadoa.com
servers:
  - url: https://api.kadoa.com
security: []
paths:
  /v4/workflows/{workflowId}/triggers/{triggerId}:
    delete:
      tags:
        - Workflow Triggers
      summary: Delete a trigger
      parameters:
        - name: workflowId
          in: path
          required: true
          schema:
            type: string
        - name: triggerId
          in: path
          required: true
          schema:
            type: string
        - name: x-api-key
          in: header
          required: false
          schema:
            type: string
        - name: Authorization
          in: header
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Trigger deleted successfully
        '400':
          description: Invalid ID
        '401':
          description: Unauthorized
        '404':
          description: Trigger or workflow not found
        '500':
          description: Internal server error
      security:
        - ApiKeyAuth: []
        - BearerAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key for authentication
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token for authentication

````